﻿@using PlayerAgentManagement.BL.Domain
@model IEnumerable<PlayerAgentManagement.BL.Domain.Agent>

@{
    ViewBag.Title = "All Agents";
    Layout = "_Layout";
}

<h2>All Agents</h2>

<table class="table">
    <thead>
    <tr>
        <th>Name</th>
        <th>BirthDate</th>
        <th>PhoneNumber</th>
        <th>Details</th>
    </tr>
    </thead>
    <tbody>
    @foreach (Agent agent in Model)
    {
        <tr>
            <td>@agent.Name</td>
            <td>@agent.BirthDate</td>
            <td>@agent.PhoneNumber</td>
            <td><a asp-controller="Agent" asp-action="Details" asp-route-id="@agent.Id">Details</a></td>
        </tr>
    }
</table>